[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TListControlItem.Data

Pointer to the data used in custom sort operations.

## Declaration

Source position: comboex.pas line 65

`public property TListControlItem.Data : TCustomData read FData write FData;`

## Description

Data is a Pointer type used to access arbitrary data associated with the list item. The content stored in Data is dependent on the control which implements the list item.

Data is used in the Sort method in TListControlItems collection when its SortType is set to stData or stBoth.

Use the Caption property to maintain the textual value displayed for the list item.

## See also

TListControlItem.Caption |  | Text displayed for the collection item.
TListControlItems.Sort |  | Performs the Sort routine required for the setting in SortType.
TListControlItems.SortType |  | Determines the comparison mechanism used for collection items in the Sort method.